EventConstants
Date: 2016-06-25

org.osgi.service.event

## Interface EventConstants

-     @ProviderType
      public interface EventConstants

  Defines standard names for `EventHandler` properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BUNDLE` The Bundle object of the bundle relevant to the event.
    `static java.lang.String` | `BUNDLE_ID` The Bundle id of the bundle relevant to the event.
    `static java.lang.String` | `BUNDLE_SIGNER` The Distinguished Names of the signers of the bundle relevant to the event.
    `static java.lang.String` | `BUNDLE_SYMBOLICNAME` The Bundle Symbolic Name of the bundle relevant to the event.
    `static java.lang.String` | `BUNDLE_VERSION` The version of the bundle relevant to the event.
    `static java.lang.String` | `DELIVERY_ASYNC_ORDERED` Event Handler delivery quality value specifying the Event Handler requires asynchronously delivered events be delivered in order.
    `static java.lang.String` | `DELIVERY_ASYNC_UNORDERED` Event Handler delivery quality value specifying the Event Handler does not require asynchronously delivered events be delivered in order.
    `static java.lang.String` | `EVENT` The forwarded event object.
    `static java.lang.String` | `EVENT_DELIVERY` Service Registration property specifying the delivery qualities requested by an Event Handler service.
    `static java.lang.String` | `EVENT_FILTER` Service Registration property specifying a filter to further select `Event` s of interest to an Event Handler service.
    `static java.lang.String` | `EVENT_TOPIC` Service registration property specifying the `Event` topics of interest to an Event Handler service.
    `static java.lang.String` | `EXCEPTION` An exception or error.
    `static java.lang.String` | `EXCEPTION_CLASS` The name of the exception type.
    `static java.lang.String` | `EXCEPTION_MESSAGE` The exception message.
    `static java.lang.String` | `EXECPTION_CLASS` Deprecated. As of 1.1, replaced by EXCEPTION_CLASS
    `static java.lang.String` | `MESSAGE` A human-readable message that is usually not localized.
    `static java.lang.String` | `SERVICE` A service reference.
    `static java.lang.String` | `SERVICE_ID` A service's id.
    `static java.lang.String` | `SERVICE_OBJECTCLASS` A service's objectClass.
    `static java.lang.String` | `SERVICE_PID` A service's persistent identity.
    `static java.lang.String` | `TIMESTAMP` The time when the event occurred, as reported by `System.currentTimeMillis()`.

- - ### Field Detail

    - #### EVENT_TOPIC

          static final java.lang.String EVENT_TOPIC

      Service registration property specifying the `Event` topics of interest to an Event Handler service.

      Event handlers SHOULD be registered with this property. Each value of this property is a string that describe the topics in which the handler is interested. An asterisk ('*') may be used as a trailing wildcard. Event Handlers which do not have a value for this property must not receive events. More precisely, the value of each string must conform to the following grammar:

            topic-description := '*' | topic ( '/*' )?
            topic := token ( '/' token )*

      The value of this property must be of type `String`, `String[]`, or `Collection<String>`.

      See Also:
        `Event`, Constant Field Values

    - #### EVENT_FILTER

          static final java.lang.String EVENT_FILTER

      Service Registration property specifying a filter to further select `Event` s of interest to an Event Handler service.

      Event handlers MAY be registered with this property. The value of this property is a string containing an LDAP-style filter specification. Any of the event's properties may be used in the filter expression. Each event handler is notified for any event which belongs to the topics in which the handler has expressed an interest. If the event handler is also registered with this service property, then the properties of the event must also match the filter for the event to be delivered to the event handler.

      If the filter syntax is invalid, then the Event Handler must be ignored and a warning should be logged.

      The value of this property must be of type `String`.

      See Also:
        `Event`, `Filter`, Constant Field Values

    - #### EVENT_DELIVERY

          static final java.lang.String EVENT_DELIVERY

      Service Registration property specifying the delivery qualities requested by an Event Handler service.

      Event handlers MAY be registered with this property. Each value of this property is a string specifying a delivery quality for the Event handler.

      The value of this property must be of type `String`, `String[]`, or `Collection<String>`.

      Since:
        1.3
      See Also:
        `DELIVERY_ASYNC_ORDERED`, `DELIVERY_ASYNC_UNORDERED`, Constant Field Values

    - #### DELIVERY_ASYNC_ORDERED

          static final java.lang.String DELIVERY_ASYNC_ORDERED

      Event Handler delivery quality value specifying the Event Handler requires asynchronously delivered events be delivered in order. Ordered delivery is the default for asynchronously delivered events.

      This delivery quality value is mutually exclusive with `DELIVERY_ASYNC_UNORDERED`. However, if both this value and `DELIVERY_ASYNC_UNORDERED` are specified for an event handler, this value takes precedence.

      Since:
        1.3
      See Also:
        `EVENT_DELIVERY`, Constant Field Values

    - #### DELIVERY_ASYNC_UNORDERED

          static final java.lang.String DELIVERY_ASYNC_UNORDERED

      Event Handler delivery quality value specifying the Event Handler does not require asynchronously delivered events be delivered in order. This may allow an Event Admin implementation to optimize asynchronous event delivery by relaxing ordering requirements.

      This delivery quality value is mutually exclusive with `DELIVERY_ASYNC_ORDERED`. However, if both this value and `DELIVERY_ASYNC_ORDERED` are specified for an event handler, `DELIVERY_ASYNC_ORDERED` takes precedence.

      Since:
        1.3
      See Also:
        `EVENT_DELIVERY`, Constant Field Values

    - #### BUNDLE_SIGNER

          static final java.lang.String BUNDLE_SIGNER

      The Distinguished Names of the signers of the bundle relevant to the event. The type of the value for this event property is `String` or `Collection` of `String`.
      See Also:
        Constant Field Values

    - #### BUNDLE_SYMBOLICNAME

          static final java.lang.String BUNDLE_SYMBOLICNAME

      The Bundle Symbolic Name of the bundle relevant to the event. The type of the value for this event property is `String`.
      See Also:
        Constant Field Values

    - #### BUNDLE_ID

          static final java.lang.String BUNDLE_ID

      The Bundle id of the bundle relevant to the event. The type of the value for this event property is `Long`.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### BUNDLE

          static final java.lang.String BUNDLE

      The Bundle object of the bundle relevant to the event. The type of the value for this event property is `Bundle`.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### BUNDLE_VERSION

          static final java.lang.String BUNDLE_VERSION

      The version of the bundle relevant to the event. The type of the value for this event property is `Version`.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### EVENT

          static final java.lang.String EVENT

      The forwarded event object. Used when rebroadcasting an event that was sent via some other event mechanism. The type of the value for this event property is `Object`.
      See Also:
        Constant Field Values

    - #### EXCEPTION

          static final java.lang.String EXCEPTION

      An exception or error. The type of the value for this event property is `Throwable`.
      See Also:
        Constant Field Values

    - #### EXCEPTION_CLASS

          static final java.lang.String EXCEPTION_CLASS

      The name of the exception type. Must be equal to the name of the class of the exception in the event property `EXCEPTION`. The type of the value for this event property is `String`.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### EXCEPTION_MESSAGE

          static final java.lang.String EXCEPTION_MESSAGE

      The exception message. Must be equal to the result of calling `getMessage()` on the exception in the event property `EXCEPTION`. The type of the value for this event property is `String`.
      See Also:
        Constant Field Values

    - #### MESSAGE

          static final java.lang.String MESSAGE

      A human-readable message that is usually not localized. The type of the value for this event property is `String`.
      See Also:
        Constant Field Values

    - #### SERVICE

          static final java.lang.String SERVICE

      A service reference. The type of the value for this event property is `ServiceReference`.
      See Also:
        Constant Field Values

    - #### SERVICE_ID

          static final java.lang.String SERVICE_ID

      A service's id. The type of the value for this event property is `Long`.
      See Also:
        Constant Field Values

    - #### SERVICE_OBJECTCLASS

          static final java.lang.String SERVICE_OBJECTCLASS

      A service's objectClass. The type of the value for this event property is `String[]`.
      See Also:
        Constant Field Values

    - #### SERVICE_PID

          static final java.lang.String SERVICE_PID

      A service's persistent identity. The type of the value for this event property is `String` or `Collection` of `String`.
      See Also:
        Constant Field Values

    - #### TIMESTAMP

          static final java.lang.String TIMESTAMP

      The time when the event occurred, as reported by `System.currentTimeMillis()`. The type of the value for this event property is `Long`.
      See Also:
        Constant Field Values

    - #### EXECPTION_CLASS

          static final java.lang.String EXECPTION_CLASS

      Deprecated. As of 1.1, replaced by EXCEPTION_CLASS
      This constant was released with an incorrectly spelled name. It has been replaced by `EXCEPTION_CLASS`
      See Also:
        Constant Field Values